# ChildAccountUserRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**child_acct_id** | **str** | Account id of child account | 
**user_email** | **str** | User&#39;s email address. | 
**account_role** | [**list[UserAccountFlags]**](UserAccountFlags.md) |  | [optional] 
**add_groups** | [**UserGroupMap**](UserGroupMap.md) | The user will be added to the specified security groups with the specified roles. | [optional] 
**del_groups** | [**UserGroupMap**](UserGroupMap.md) | The user will be removed from the specified security groups. | [optional] 
**mod_groups** | [**UserGroupMap**](UserGroupMap.md) | The user&#39;s role in the specified groups will be updated to the specified roles. | [optional] 
**enabled** | **bool** | Whether this user is enabled. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


