# HistoryItemState

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**activation_date** | **str** | When this KeyObject will become active | [optional] 
**revocation_reason** | [**RevocationReasonCode**](RevocationReasonCode.md) |  | [optional] 
**compromise_date** | **str** | When this security object was compromised. | [optional] 
**deactivation_date** | **str** | When this security object was deactivated | [optional] 
**destruction_date** | **str** | When this security object was destroyed | [optional] 
**deletion_date** | **str** | When the security object was deleted | [optional] 
**state** | [**KeyObjectState**](KeyObjectState.md) |  | [optional] 
**key_ops** | [**list[KeyOperations]**](KeyOperations.md) | Array of key operations enabled for this security object.  | [optional] 
**public_only** | **bool** | Whether the key object contains only a public part | [optional] 
**rotation_policy** | [**RotationPolicy**](RotationPolicy.md) |  | [optional] 
**group_id** | **str** | Group ID (UUID) of the security group that this security object belonged to. Expect this property to always exist. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


