# WrapKeyParams

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**key** | [**SobjectDescriptor**](SobjectDescriptor.md) |  | [optional] 
**alg** | [**ObjectType**](ObjectType.md) |  | [optional] 
**mode** | [**CipherMode**](CipherMode.md) |  | [optional] 
**iv** | **bytearray** | For symmetric ciphers, this value will be used for the cipher initialization value. If not provided, DSM will generate a random iv and return it in the response. If provided, iv length must match the length required by the cipher and mode.  | [optional] 
**ad** | **bytearray** | For symmetric ciphers with cipher mode GCM or CCM, this optionally specifies the authenticated data used by the cipher. This field must not be provided with other cipher modes.  | [optional] 
**tag_len** | **int** | For symmetric ciphers with cipher mode GCM or CCM, this field specifies the length of the authentication tag to be produced. This field is specified in bits (not bytes). This field is required for symmetric ciphers with cipher mode GCM or CCM. It must not be specified for asymmetric ciphers and symmetric ciphers with other cipher modes. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


