# DecryptRequestFrame

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**init** | [**DecryptRequestFrameInit**](DecryptRequestFrameInit.md) |  | [optional] 
**ad** | **str** | A chunk of additional data for authentication in AEAD modes.  In CBOR, this is encoded directly as a byte string, *not* a UTF-8 string.  All \&quot;ad\&quot; frames must come before any \&quot;cipher\&quot; frames.  | [optional] 
**cipher** | **str** | A chunk of ciphertext.  In CBOR, this is encoded directly as a byte string, *not* a UTF-8 string.  In addition to the 512 KiB limit on the total size of all frames, the content of this field may be at most 511 KiB.  | [optional] 
**final** | [**DecryptRequestFrameFinal**](DecryptRequestFrameFinal.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


