# User

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**user_id** | **str** | User ID uniquely identifying this user. | 
**user_email** | **str** | The user&#39;s email address. Must be unique. | 
**email_verified** | **bool** | Whether this user&#39;s email has been verified. | 
**has_password** | **bool** | Whether this user has a password. | [optional] 
**created_at** | **str** | When this user was added to DSM. | 
**last_logged_in_at** | **str** | When this user last logged in (if any). | [optional] 
**first_name** | **str** |  | [optional] 
**last_name** | **str** |  | [optional] 
**account_role** | [**list[UserAccountFlags]**](UserAccountFlags.md) | Roles for the user in the current account (if there is a selected account). | 
**groups** | [**UserGroupMap**](UserGroupMap.md) |  | 
**u2f_devices** | [**list[U2fDevice]**](U2fDevice.md) |  | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


